/* $Id: //depot/povray/3.5/windows/pvlegal.h#7 $ */

char povlegal_text [] =
{
  "                       POV-Ray Legal Document\n"
  "\n"
  "                      GENERAL LICENSE AGREEMENT\n"
  "             Persistence of Vision Ray Tracer (POV-Ray)\n"
  "          Version 3.5 License and Terms & Conditions of Use\n"
  "                            14 April 2002\n"
  "                    (also known as POVLEGAL.DOC)\n"
  "\n"
  "PLEASE  READ  THROUGH  THE  TERMS  AND  CONDITIONS  OF  THIS   LICENSE\n"
  "CAREFULLY. YOUR ATTENTION IS  PARTICULARLY DRAWN TO THE  DISCLAIMER OF\n"
  "WARRANTY AND  NO LIABILITY  AND INDEMNITY  PROVISIONS.   TO USE AND/OR\n"
  "DISTRIBUTE PERSISTENCE  OF VISION  RAY TRACER  (\"POV-RAY\") YOU  MUST\n"
  "AGREE  TO  BE  BOUND  BY  THE  TERMS  AND  CONDITIONS  SET OUT IN THIS\n"
  "DOCUMENT.  IF YOU DO NOT AGREE TO ALL THE TERMS AND CONDITIONS OF  USE\n"
  "OF POV-RAY SET OUT  IN THIS LICENSE AGREEMENT,  OR IF SUCH TERMS  AND\n"
  "CONDITIONS ARE NOT BINDING ON  YOU IN YOUR JURISDICTION, THEN  YOU MAY\n"
  "NOT  USE  AND/OR  DISTRIBUTE  POV-  RAY  IN ANY MANNER.  THIS GENERAL\n"
  "LICENSE  AGREEMENT  MUST  ACCOMPANY  ALL  PERSISTENCE  OF VISION FILES\n"
  "WHETHER  IN  THEIR  OFFICIAL  OR  CUSTOM  VERSION  FORM. IT MAY NOT BE\n"
  "REMOVED OR MODIFIED.  THIS GENERAL LICENSE  AGREEMENT GOVERNS THE  USE\n"
  "OF  PERSISTENCE  OF  VISION  WORLDWIDE.  THIS  DOCUMENT SUPERSEDES AND\n"
  "REPLACES ALL PREVIOUS GENERAL LICENSES OR DISTRIBUTION POLICIES.   ANY\n"
  "INDIVIDUALS, COMPANIES OR  GROUPS WHO HAVE  BEEN GRANTED LICENSES  FOR\n"
  "EARLIER VERSIONS  MAY CONTINUE  TO DISTRIBUTE  THEM BUT  MUST RE-APPLY\n"
  "FOR VERSION 3.5 OR LATER VERSIONS. \n"
  "\n"
  "INTRODUCTION\n"
  "\n"
  "This document pertains to the use and distribution of the  Persistence\n"
  "of Vision  Ray Tracer  a.k.a POV-Ray  and known  in this document as\n"
  "POV-Ray  or  'the  Software'.   It  applies  to all POV- Ray program\n"
  "source files,  executable (binary)  files, scene  files, documentation\n"
  "files,  help  file,  bitmaps  and  INI  files  contained  in  official\n"
  "POV-Team  archives.   All  of  these  are  referred  to  here as \"the\n"
  "Software\". The POV-Team reserves the  right to revise these rules  in\n"
  "future  versions  and  to  make   additional  rules  to  address   new\n"
  "circumstances at any time. Such rules, when made, will be posted in  a\n"
  "revised POVLEGAL.DOC, the  latest version of  which is available  from\n"
  "our  website  at  http://www.povray.org/povlegal.html.   The POV-Team\n"
  "are the programmers and assistants from time to time who work as  part\n"
  "of   the   \"POV-Team\"   in   the   development,   modification  and/or\n"
  "distribution of the Software.\n"
  "\n"
  "INTENT OF THIS LICENSE\n"
  "\n"
  "The  intent  of  this  license  is   to  allow  the  free  and   legal\n"
  "distribution  of  POV-Ray  throughout  the  community,  and to permit\n"
  "users to freely enjoy its benefits. The POV-Ray developers, past  and\n"
  "present,  have  donated  their  time  and  in  some cases considerable\n"
  "amounts of their  own money towards  the development of  this software\n"
  "package, which  we provide  for no  charge (within  the constraints of\n"
  "this license) to the public at large. \n"
  "\n"
  "The POV-Ray developers decided, long ago (about 1990), that they  did\n"
  "not  want  the  free  nature  of   this  package  to  be  sullied   by\n"
  "unscrupulous third parties  who wanted to  make a quick  buck from the\n"
  "developer's hard  work. This  decision was  made after  some practical\n"
  "experience with  just such  activity.   We have  strong objections  to\n"
  "end-users  having  to  pay  for  this  software  when  they could have\n"
  "received it for free had they only known better. \n"
  "\n"
  "Though  this  may  seem  an  unlikely  scenario  for those used to the\n"
  "internet and aware of the free availability of POV-Ray, this in  fact\n"
  "does  to  this  day  still  happen.  As this updated POVLEGAL is being\n"
  "written (in 2001)  there is at  least one CD  that we know  of - being\n"
  "sold  both  on  the  internet  and  in  stores  - that is presented to\n"
  "potential purchasers as a  3D rendering product, with  nothing present\n"
  "on  the  exterior  that  would  lead  the  buyer  to  believe that the\n"
  "renderer inside is in fact a free program (namely, POV-Ray). \n"
  "\n"
  "Therefore,  the  intent   of  this  license   is  to  encourage   free\n"
  "distribution   and   use,   while   severely   restricting    non-free\n"
  "distribution and use.  Some of the  more wordy sections  below dealing\n"
  "with  third-party  distribution  have  only  become  so  because  some\n"
  "commercial vendors  found some  fairly imaginative  ways to  avoid the\n"
  "intent of this license. If your intended use of the Software seems  to\n"
  "conflict  with  this  basic  intent,  you  should  contact  us  before\n"
  "proceeding with your plans (but read the rest of this document  before\n"
  "you write). \n"
  "\n"
  "WHY ISN'T POV-RAY OPEN SOURCE ?\n"
  "\n"
  "While this explanation doesn't really belong in this document, we  are\n"
  "asked it often enough that we  have decided to put it here.  While the\n"
  "POV-Ray source code  is freely available,  it isn't 'open'  according\n"
  "to  the  currently  popular  definition  of  the term (meaning that it\n"
  "isn't available to create derivative works). The reasons for this  are\n"
  "historical.  Primarily,  at  the  time  that  POV-Ray  was originally\n"
  "developed (starting in about 1990), on Compuserve, it was a  different\n"
  "environment than today. Virtually none of the developers had  internet\n"
  "access and there wasn't a great awareness of things like the GPL.  The\n"
  "team at that  time rolled their  own license -  one that allowed  free\n"
  "use of  the software  but attempted  to prevent  people taking  unfair\n"
  "advantage of it. \n"
  "\n"
  "As people  contributed code  to POV-Ray  over the  years -  and there\n"
  "have been many instances  of this - they  contributed it to us  on the\n"
  "understanding that it would be covered by the POV-Ray license, as  it\n"
  "stood at the time. Now, in 2001,  we find that in many cases we  don't\n"
  "know  who  wrote  what  part  of  the  code,  or  that  the  author is\n"
  "uncontactable. We simply  don't have the  right to arbitrarily  change\n"
  "the terms under  which their source  code is distributed.  Even though\n"
  "it was contributed to us, we  feel that we must honor the  terms under\n"
  "which it was given. Therefore, POV- Ray will remain on this  existing\n"
  "license until we  do a full  re-write (which is  intended for v4),  at\n"
  "which time a new license will  be instituted that is far more  liberal\n"
  "in terms of reuse. \n"
  "\n"
  "COPYRIGHT\n"
  "\n"
  "Copyright , POV-Team 1991-2002.  Copyright subsists in the  Software\n"
  "which is  protected by  Australian and  international copyright  laws.\n"
  "Although it is distributed as freeware, it is NOT PUBLIC DOMAIN.   You\n"
  "acknowledge that  any and  all intellectual  property rights including\n"
  "all rights of copyright used or embodied in or in connection with  the\n"
  "Software are and will remain the sole property of the POV-Team.   You\n"
  "shall not  question or  dispute the  ownership of  such rights  at any\n"
  "time.  Nothing in this document  shall give you any rights in  respect\n"
  "of  the  intellectual  property  of  the POV-Team and you acknowledge\n"
  "that you  do not  acquire any  rights in  respect of such intellectual\n"
  "property rights.   If you use,  modify or distribute  the Software for\n"
  "unauthorized  purposes  or  in  an  unauthorized  manner,  you will be\n"
  "liable to the POV-Team for any  damages it may suffer (and which  you\n"
  "acknowledge it  may suffer)  and you  may also  be liable  to criminal\n"
  "prosecution. You indemnify the POV-Team for every single  consequence\n"
  "flowing from your unauthorized use of the Software.\n"
  "\n"
  "DISCLAIMER OF WARRANTY\n"
  "\n"
  "This Software  is provided  on an  \"AS IS\"  basis, without warranty of\n"
  "any  kind,  express  or  implied,  including  without  limitation, the\n"
  "implied  warranties  of  merchantability,  fitness  for  a  particular\n"
  "purpose and  non-infringement of  intellectual property  of any  third\n"
  "party. This Software has inherent limitations including design  faults\n"
  "and programming bugs.   As the program is free, the entire risk as  to\n"
  "the quality and performance  of the Software is  borne by you, and  it\n"
  "is your responsibility to  ensure that it does  what you intend it  to\n"
  "do prior to  using it for  any purpose other  than testing it.  Should\n"
  "the Software  prove defective,  you and  not the  POV-Team or  anyone\n"
  "associated  with  them  assume  the  entire  cost  of  any service and\n"
  "repair.  This  disclaimer  of  warranty  constitutes  an essential and\n"
  "material term of this agreement. \n"
  "\n"
  "NO LIABILITY AND INDEMNITY\n"
  "\n"
  "When you use the  Software you acknowledge and  accept that you do  so\n"
  "at your sole risk.   You agree that under  no circumstances shall  you\n"
  "have any claim  against  the  POV-Team or anyone  associated directly\n"
  "or indirectly with the  POV-Team whether as employee,  subcontractor,\n"
  "agent, representative, consultant,  licensee or otherwise  (\"POV-Team\n"
  "associates\")  for  any  loss,  damages,  harm,  injury,  expense, work\n"
  "stoppage,  loss  of   business  information,  business   interruption,\n"
  "computer failure  or malfunction  which may  be suffered  by you or by\n"
  "any  third  party  from  any  cause  whatsoever, howsoever arising, in\n"
  "connection  with  your  use  and/or  distribution of the Software even\n"
  "where the POV-Team were  aware, or ought to  have been aware, of  the\n"
  "potential  of  such  loss.   Damages  shall  include direct, indirect,\n"
  "general, special, incidental, punitive  and/or consequential.  If  you\n"
  "do  not  accept  this  no  liability  condition, you must not use this\n"
  "Software.   \n"
  "\n"
  "You  indemnify  the  POV-Team  and  the POV-Team associates and hold\n"
  "them  harmless  against  any  claims  which  may  arise from any loss,\n"
  "damages,  harm,  injury,  expense,  work  stoppage,  loss  of business\n"
  "information, business interruption,  computer failure or  malfunction,\n"
  "which may  be suffered  by you,  your spouse,  dependants or any other\n"
  "third party whatsoever as a consequence of any act or omission of  the\n"
  "POV-Team  and/or the POV-Team associates, whether negligent or  not,\n"
  "arising out of your use  and/or distribution of the Software,  or from\n"
  "any other cause whatsoever,  howsoever arising in connection  with the\n"
  "Software.   These  provisions  are  binding  on  your  estate,  heirs,\n"
  "executors, administrators, parents and/or guardians.    \n"
  "\n"
  "HIGH RISK ACTIVITIES\n"
  "\n"
  "This  Software  and  the  output  produced  by  this  Software  is not\n"
  "fault-tolerant and is not  designed, manufactured or intended  for use\n"
  "or  resale  as  on-line  control  equipment  in hazardous environments\n"
  "requiring fail-safe performance, in which the failure of the  Software\n"
  "could lead directly to death,  personal injury, or severe physical  or\n"
  "environmental   damage   (\"High   Risk   Activities\").   The  POV-Team\n"
  "specifically disclaim any express  or implied warranty of  fitness for\n"
  "High Risk Activities. \n"
  "\n"
  "USAGE PROVISIONS\n"
  "\n"
  "Subject to the terms and  conditions of this agreement, permission  is\n"
  "granted to the user to use  the Software and associated files in  this\n"
  "package to create and render images. The use of this Software for  the\n"
  "purpose of creating images is completely free. The creator of a  scene\n"
  "file retains all rights to the scene file they created, and any  image\n"
  "generated by the Software from them. \n"
  "\n"
  "The user  is also  granted the  right to  use the  scene files, fonts,\n"
  "bitmaps,  and   include  files   distributed  in   the  INCLUDE    and\n"
  "SCENES\\INCDEMO sub-directories  in their  own scenes.  Such permission\n"
  "does not  extend to  any other  files in  the SCENES  directory or its\n"
  "sub-directories.  The  SCENES  files   are  for  your  enjoyment   and\n"
  "education but may not be the basis of any derivative works unless  the\n"
  "file in question explicitly grants permission to do such.\n"
  "\n"
  "ACCEPTANCE OF LICENSE\n"
  "\n"
  "Some jurisdictions deem licenses that have not been physically  signed\n"
  "by the person or legal entity using the software which is the  subject\n"
  "of the license to  have not been accepted  in a legal sense.  However,\n"
  "since you  have not  paid for  this Software,  nothing else other than\n"
  "acceptance  of  this  license  in  full  grants  you the right to use,\n"
  "modify, or  distribute it  or any  derivative works  made from  it. By\n"
  "using, modifying, making  a derivative work, or distributing any  part\n"
  "or  version  of  the  Software,  you  indicate your acceptance of this\n"
  "License and all of its terms and conditions. If you have not  accepted\n"
  "the license such actions would be illegal.\n"
  "\n"
  "DISTRIBUTION AND/OR MODIFICATION\n"
  "\n"
  "This  copyrighted  package  may  ONLY  be  distributed and/or modified\n"
  "according  to  the  terms  and  conditions  contained  in this License\n"
  "Agreement.  \n"
  "\n"
  "The  permission  to  distribute  this  Software,  under  certain  very\n"
  "specific  conditions,  is  granted  in  advance,  provided  that   the\n"
  "following  conditions  are  met.  If  your  distribution,  or intended\n"
  "distribution, does not meet  these conditions, you may  not distribute\n"
  "the Software. \n"
  "\n"
  "Anyone intending  to distribute  this Software  must ensure  that they\n"
  "comply  with  our  license  at  all  times.  If  you  are intending to\n"
  "distribute  POV-Ray  and  are  not  reading  the  master copy of this\n"
  "license found on our web site at  http://www.povray.org/povlegal.html,\n"
  "you should  instead read  that version,  as it  may have changed since\n"
  "the copy that you are reading was written.  \n"
  "\n"
  "The Software must not be distributed commercially (where 'commercially'\n"
  "means  any  distribution  that  would  qualify  under the terms of the\n"
  "'CONDITIONS FOR  COMMERCIAL BUNDLING'  section which  appears later in\n"
  "this document) without the express written permission of the POV-Team.\n"
  "This restriction applies not only to this Software  but  also  to  any \n"
  "derivative of it or any part of it.\n"
  "\n"
  "You may not distribute (or continue to distribute if you have  already\n"
  "started) the Software if you have been or are in breach of any of  the\n"
  "conditions of this  license, or if  you or your  legal representatives\n"
  "have  been  notified  by  us  or  our  authorized representatives (via\n"
  "telephone, email,  fax, or  physical mail  to the  last known  contact\n"
  "point for that communication method) that you may not. \n"
  "\n"
  "The Software  must not  be distributed  in a  form different  from the\n"
  "official distribution  without the express, prior, written  permission\n"
  "of  the  POV-Team.  The  official  distribution  are  those  official\n"
  "versions which  appear on  our website  from time  to time.   You  may\n"
  "rename the distribution files only  to meet the file name  conventions\n"
  "of your system  or to avoid  file name duplications.  The POV-Team is\n"
  "willing to  make exceptions  in certain  circumstances (e.g.  to allow\n"
  "Linux vendors  to use  RPM), but  these are  on a  case-by-case basis.\n"
  "Please write us if you would like to do this. \n"
  "\n"
  "You  must  distribute  a  FULL  PACKAGE  of  files  as  defined  under\n"
  "\"DEFINITION OF FULL  PACKAGE\" below, in  the next section.  No portion\n"
  "of this  package may  be separated  from the  package and  distributed\n"
  "separately  other  than   under  the  conditions   specified  in   the\n"
  "provisions given below. \n"
  "\n"
  "Any physical  distribution (that  is, by  any means  other than online\n"
  "download) of POV-Ray by any  person or organisation, for any  purpose\n"
  "other  than  personal  sharing  of  the  software,  must  include full\n"
  "contact details of the distributor. This includes at the very least  a\n"
  "valid  physical  mailing  address  (including  country),  a  telephone\n"
  "number  if  the  distributor  provides  that  for  any  of  its  other\n"
  "products, and a working, manned  email address if the distributor  has\n"
  "an internet presence of  any sort. If the  distributor has a web  site\n"
  "then its URL must also be included. \n"
  "\n"
  "Only non-commercial distribution in which no money or compensation  is\n"
  "charged (such as a user copying the Software for a personal friend  or\n"
  "colleague) is permitted.  No  other restrictions may be placed  on the\n"
  "distribution of the Software.  \n"
  "\n"
  "Internet distribution of our official archives on web or FTP sites  is\n"
  "permitted,  provided  that  no  charge  is  made  for  downloading  or\n"
  "accessing  the  files  (other  than  the  normal fees the user pays to\n"
  "access  the  internet),  and  that  the  versions  distributed are the\n"
  "latest  available  (or  that,  in  the  case  of a web page, a clearly\n"
  "positioned link is provided to the latest version, and in the case  of\n"
  "an  FTP  site,  that  the  latest  version  is  present  in  the  same\n"
  "subdirectory). \n"
  "\n"
  "Teachers  and  educational  institutions   may  also  distribute   the\n"
  "material  to  students  for  free  or  they may charge minimal copying\n"
  "costs if the Software is to be used in a course. \n"
  "\n"
  "Any other distribution  for which money  or any other  compensation is\n"
  "asked  for  or  received  must  meet  the terms and conditions set out\n"
  "below. \n"
  "\n"
  "CONDITIONS FOR CD-ROM DISTRIBUTION\n"
  "CONDITIONS FOR SHAREWARE/FREEWARE DISTRIBUTION\n"
  "\n"
  "A  'shareware  and  freeware  distributor',  for  the  purpose of this\n"
  "document, is  one which  CLEARLY IDENTIFIES  itself as  such to anyone\n"
  "dealing  with  it  or  its  resellers,  both in general, and also with\n"
  "respect to  the interior  and exterior  packaging of  any products  it\n"
  "sells. If there is  any possibility that a  person, prior to or  after\n"
  "performing a purchase  of any shareware  or freeware product  from the\n"
  "distributor or  any reseller  of the  distributor, would  not be aware\n"
  "that  they  are  receiving  shareware  or freeware software, then that\n"
  "distributor is  NOT considered  a 'shareware  or freeware distributor'\n"
  "by this license, and the following grant of permission does not  apply\n"
  "to them. \n"
  "\n"
  "Additionally, the following only applies to distributors of  collected\n"
  "programs;  anyone  wishing  to  bundle  the  package  with a shareware\n"
  "product must  use the  commercial bundling  rules set  out below under\n"
  "\"CONDITIONS FOR COMMERCIAL BUNDLING\". Also, a distribution that  would\n"
  "otherwise have  qualified under  the 'shareware/freeware  distributor'\n"
  "terms, but  which is  constructed in  such a  way that  it would be of\n"
  "little or no practical use without POV-Ray, is considered  commercial\n"
  "and must use the commercial bundling rules. \n"
  "\n"
  "Shareware  and  freeware  distribution  companies  may  distribute the\n"
  "Software included in software- only compilations using media such  as,\n"
  "but not limited to, floppy  disk, CD-ROM, tape backup, optical  disks,\n"
  "hard disks, or memory cards. \n"
  "\n"
  "Distribution on CD-ROM or high  capacity media such as backup  tape is\n"
  "permitted if the total cost to the  user is no more than two (2)  U.S.\n"
  "cents per megabyte of  data. For example a  CD-ROM with 600 meg  could\n"
  "cost no more than US$12.00 at  any point of sale, including the  point\n"
  "of sale to the consumer.  Companies or individuals that distribute  to\n"
  "resellers hereby agree that they will be in breach of this license  if\n"
  "any  of  their  resellers  breach  this  license and such companies or\n"
  "individuals indemnify the POV-Team accordingly. \n"
  "\n"
  "Any bundling with books, magazines or other print media must have  the\n"
  "prior written  approval of  the POV-Team.  If we  do approve  of such\n"
  "publication,  you  must  provide  us  with  two  (2)  copies  of   the\n"
  "publication in  question as  soon as  it is  released. In  the case of\n"
  "magazines,  we  normally  approve   such  requests,  subject  to   the\n"
  "conditions in this document. \n"
  "\n"
  "For floppy  disk distribution,  no more  than one  US dollar (US$1.00)\n"
  "can be  charged per  disk for  the copying  of this  Software and  the\n"
  "media it is provided on. Space on  each disk must be used as fully  as\n"
  "possible.  You  may  not  spread  the  files  over more disks than are\n"
  "necessary. \n"
  "\n"
  "The users to whom you wish to distribute the Software must also  agree\n"
  "to be  bound by  the terms  and conditions  of this License Agreement.\n"
  "You indemnify the POV-Team from any loss or harm which it may  suffer\n"
  "as a result of your failure to  ensure that the users to whom you  are\n"
  "distributing the  Software have  agreed to  be bound  by the terms and\n"
  "conditions of this License Agreement.\n"
  "\n"
  "ONLINE OR REMOTE EXECUTION OF POV-RAY\n"
  "\n"
  "Some  internet  sites  have  been  set  up  so  that  remote users can\n"
  "actually  run  POV-Ray  software  on  the  internet  server.    Other\n"
  "companies sell CPU time for running POV-Ray software on  workstations\n"
  "or high-speed computers.  Such use of  POV-Ray software is  permitted\n"
  "under the following conditions. \n"
  "\n"
  "Fees or charges, if any, for  such services must be for connect  time,\n"
  "storage or processor  usage ONLY. No  premium charges may  be assessed\n"
  "for use  of POV-Ray  beyond that  charged for  use of other software.\n"
  "Users must be clearly notified that they are being charged for use  of\n"
  "the computer and not for use of POV-Ray software. \n"
  "\n"
  "Users  must  be  prominently  informed  that  they  are using POV-Ray\n"
  "software,  that  such  software  is  free,  and  where  they  can find\n"
  "official POV-Ray software. Any attempt  to obscure the fact that  the\n"
  "user is running POV-Ray is expressly prohibited. \n"
  "\n"
  "All  files  normally  available   in  a  full  package   distribution,\n"
  "especially  a  copy  of  this  license  and full documentation must be\n"
  "available for download or readable  online so that users of  an online\n"
  "executable have access to all of the material of a full user  package.\n"
  "The full user package is the entire distribution for a given  platform\n"
  "excluding the actual program  files. The distributor must  also ensure\n"
  "that the users have agreed to be bound by the terms and conditions  of\n"
  "this license,  failing which  such users  may not  download or view or\n"
  "use the Software.\n"
  "\n"
  "If the POV-Ray software  has been modified in  any way, it must  also\n"
  "comply  with  the  provisions  for  custom  versions  set  out   under\n"
  "\"CONDITIONS FOR DISTRIBUTION OF CUSTOM VERSIONS\" below. \n"
  "\n"
  "DEFINITION OF \"FULL PACKAGE\"\n"
  "\n"
  "A \"full  package\" contains  an executable  program, documentation, and\n"
  "sample scenes. For  generic Unix platforms,  there are no  executables\n"
  "available  so  the  source  code  must  be  included  instead  of  the\n"
  "executable program, unless you choose to build one (in which case  you\n"
  "must comply with the terms for unofficial versions, found below). \n"
  "\n"
  "POV-Ray is  officially distributed  for Windows  95/98/NT; Linux  for\n"
  "Intel x86  series; and  Apple PowerPC.  Other systems  may be added in\n"
  "the future. \n"
  "\n"
  "Distributors need not support all platforms but for each platform  you\n"
  "support you must  distribute a full  package. For example  a Macintosh\n"
  "only CD-ROM need not distribute the Windows versions. \n"
  "\n"
  "This  Software  may  ONLY  be  bundled  with  other  software packages\n"
  "according  to   the  conditions   specified  under   \"CONDITIONS   FOR\n"
  "COMMERCIAL BUNDLING\" below. \n"
  "\n"
  "PERMITTED MODIFICATION AND CUSTOM VERSIONS\n"
  "\n"
  "Although the full source code  for POV-Ray is distributed, there  are\n"
  "strict rules for the use  of the source code. The  source distribution\n"
  "is provided  to; 1)  promote the  porting of  POV-Ray to hardware and\n"
  "operating  systems  which  the  POV-Team  cannot  support, 2) promote\n"
  "experimentation  and  development  of  new  features  to the core code\n"
  "which might eventually be incorporated into the official version,  and\n"
  "3)  provide  insight  into  the  inner  workings  of  the  program for\n"
  "educational purposes. \n"
  "\n"
  "These license provisions have  been established to promote  the growth\n"
  "of POV-Ray and prevent  difficulties for users and  developers alike.\n"
  "Please follow  them carefully  for the  benefit of  all concerned when\n"
  "creating a custom version. \n"
  "\n"
  "The user  is granted  the privilege  to modify  and compile the source\n"
  "code for their own personal use in any fashion they see fit. \n"
  "\n"
  "However strict  conditions and  restrictions are  imposed if  the user\n"
  "wishes   to   distribute   a   modified   version   of  the  Software,\n"
  "documentation or other parts of the package (hereafter referred to  as\n"
  "a  \"custom   version\").  This   includes  any   translation  of    the\n"
  "documentation into other languages or other file formats. \n"
  "\n"
  "A  \"custom  version\"  is  defined  as  a  fully  functional version of\n"
  "POV-Ray  with  all  existing  features,  copyright  notices,   author\n"
  "attributions, this License Agreement,  etc., intact. ANY OTHER  USE OF\n"
  "ANY POV-RAY SOURCE  CODE IS EXPRESSLY  PROHIBITED. The POV-Team  does\n"
  "not license source  code for any  use outside POV-Ray.  No portion of\n"
  "the  POV-Ray   source  code   may  be,   under  any    circumstances,\n"
  "incorporated  into  another  program  unless  it  is  clearly a custom\n"
  "version  of  POV-Ray  that  includes  all  of  the  functions  of the\n"
  "POV-Ray renderer. \n"
  "\n"
  "All  executables,  documentation,  modified  files and descriptions of\n"
  "the  same  must  clearly  identify   themselves  as  a  modified   and\n"
  "unofficial version of POV-Ray. Any  attempt to obscure the fact  that\n"
  "the user is running  POV-Ray or to obscure  that it is an  unofficial\n"
  "version is expressly prohibited. \n"
  "\n"
  "POV-Ray may not be linked into other software either at  compile-time\n"
  "using an  object code  linker nor  at run-time  as a  DLL, ActiveX, or\n"
  "other  system.  Such  linkage  can  tend  to  blur  the  end-   user's\n"
  "perception  of  which  program  provides  which  functions  and   thus\n"
  "qualifies as an attempt to obscure what is running. \n"
  "\n"
  "To allow POV-Ray to  communicate with outside programs,  the official\n"
  "versions of  POV-Ray may  include internal  communication \"hooks\" for\n"
  "it  to  call  other  tasks,  often  called  an Application Programming\n"
  "Interface, or API. For example: the generic part of POV-Ray  provides\n"
  "operating system  shell-out API  commands. The  Windows version  has a\n"
  "GUI-extension  API  and  the  ability  to  replace  the  text  editor.\n"
  "Modification   to   these   APIs   or   other   officially   supported\n"
  "communication mechanisms to increase functionality beyond that of  the\n"
  "official  version,  or  to  avoid  the  intent  of  this  license,  is\n"
  "EXPRESSLY PROHIBITED. \n"
  "\n"
  "CONDITIONS FOR DISTRIBUTION OF CUSTOM VERSIONS\n"
  "\n"
  "If  your  re-compiled  version  meets  all  requirements  for   custom\n"
  "versions  listed  above  under  \"PERMITTED  MODIFICATION  AND   CUSTOM\n"
  "VERSIONS\",  the   following  additional   conditions  apply   to   its\n"
  "distribution: \n"
  "\n"
  "You  must  provide  all  support  for  all  users  who use your custom\n"
  "version. You must  provide information so  that users may  contact you\n"
  "for  support  for  your  custom  version.  The  POV-Ray  Team  is not\n"
  "obligated to provide you or your users any technical support. \n"
  "\n"
  "You  must  include  contact  information  in  the DISTRIBUTION_MESSAGE\n"
  "macros  in  the  source  file  OPTOUT.H  and  insure  that the program\n"
  "prominently  displays  this  information.  You  must  ensure that your\n"
  "version  displays  all  copyright  notices  and credit screens for the\n"
  "official version, though they must be clearly marked as unofficial.   \n"
  "\n"
  "The  purpose  of  this  next  requirement  is  to  allow  the official\n"
  "POV-Ray  to  detect  scene  files  that  are  incompatible with it by\n"
  "testing the #version  declaration. It can  then tell the  user why the\n"
  "given  scene  file  will  not  work,  rather  than issue what could be\n"
  "confusing syntax errors or  perform erroneous rendering. This  results\n"
  "in a better experience for the end users of this Software. \n"
  "\n"
  "If  your  custom  version  contains  any  feature  that  would cause a\n"
  "POV-Ray  scene  source  file  that  works  on your version to fail or\n"
  "otherwise work incorrectly on  either the current official  version of\n"
  "POV-Ray, or on the official  version that was built from  the version\n"
  "of the source  that you are  using for your  custom version, you  must\n"
  "include code  that checks  that the  scene source  file has a #version\n"
  "directive  that  includes  the  'unofficial'  token, and you must only\n"
  "activate your changes  (including, but not  limited to, new  keywords)\n"
  "if  that  #version  directive  is  present.  If it is not present your\n"
  "custom version  must work  in the  same way  as the  standard POV-Ray\n"
  "that it is built from.  An example of a correct  'unofficial' #version\n"
  "declaration is '#version unofficial megapov 0.7 ;'. \n"
  "\n"
  "Custom versions may  only be distributed  as freeware and  under terms\n"
  "no  less  restrictive  than  this  license.  You must make all of your\n"
  "modifications  to  POV-Ray  freely  and  publicly available with FULL\n"
  "SOURCE  CODE  to  the  modified  portions  of POV-Ray and must freely\n"
  "distribute full  source to  any new  parts of  the custom version. The\n"
  "goal is that users must  be able to re-compile the  program themselves\n"
  "using readily  available compilers  and run-time  libraries and  to be\n"
  "able to further improve the program with their own modifications. \n"
  "\n"
  "You must provide documentation for any and all modifications that  you\n"
  "have made to the program  that you are distributing and  include clear\n"
  "and obvious information on how to obtain the official POV-Ray. \n"
  "\n"
  "The  user  is  encouraged  to  send  enhancements and bug fixes to the\n"
  "POV-Team,  but  the  team  is  in  no  way  required to utilize these\n"
  "enhancements  or  fixes.  By  sending   material  to  the  team,   the\n"
  "contributor asserts  and warrants  that he  owns the  materials or has\n"
  "the right  to distribute  these materials.  He authorizes  the team to\n"
  "use the  materials any  way they  like. The  contributor still retains\n"
  "rights to the donated material, but by donating, grants, and  warrants\n"
  "that  he  is  entitled  to  grant  unrestricted, irrevocable usage and\n"
  "distribution rights to the POV-Team and indemnifies them against  any\n"
  "claims of unauthorized use of  the donated software or any  technology\n"
  "contained or  expressed within  it. The  team doesn't  have to use the\n"
  "material, but if  it does, you  do not acquire  any rights related  to\n"
  "POV-Ray. The team may give you  credit as the creator of new  code if\n"
  "applicable. \n"
  "\n"
  "You must  include a  copy of  the latest  version of  this document as\n"
  "obtained  from  http://www.povray.org/povlegal.html,  and  ensure that\n"
  "the user has agreed to be bound by the terms and conditions of use  as\n"
  "set out in this  License Agreement.  You  indemnify the POV- Team  for\n"
  "any harm or loss which they may suffer as a result of your failure  to\n"
  "do so.\n"
  "\n"
  "CONDITIONS FOR COMMERCIAL BUNDLING\n"
  "\n"
  "Vendors wishing  to bundle  POV-Ray (or any software that is  derived\n"
  "from  it  or  any  part  of  it)  with  commercial software (including\n"
  "shareware)  or  any  other  use  or distribution not already expressly\n"
  "allowed above must first obtain  express  written permission  from the\n"
  "POV-Team. The POV-Team will,  in its sole discretion, decide if such\n"
  "Use will be allowed on a case-by-case basis and  may  impose  whatever\n"
  "conditions it sees fit. \n"
  "\n"
  "For commercial distribution, the minimum terms are given below.  Other\n"
  "conditions may be imposed.\n"
  "\n"
  "The product  must be  an existing  product that  has proven  itself as\n"
  "commercially  viable  without  POV-Ray  included, unless the POV-Team\n"
  "expressly grants exception to this  rule. Such exceptions will not  be\n"
  "granted unless  it can  be demonstrated  that POV-Ray  or the  POV-Ray\n"
  "community would somehow benefit from allowing such an exception.\n"
  "\n"
  "The inclusion of POV-Ray should be promoted only as a free bonus  and\n"
  "not  as  a  feature  designed  to  encourage  customers to purchase or\n"
  "upgrade solely for the POV-Ray capability.\n"
  "\n"
  "Purchasers of your product  must not be led  to believe that they  are\n"
  "paying for POV-Ray.  Any mention of  the POV-Ray bundle  on the box,\n"
  "in advertising or in instruction  manuals must be clearly marked  with\n"
  "a disclaimer that  POV-Ray is free  software and can  be obtained for\n"
  "free or nominal cost from various sources.\n"
  "\n"
  "You  must  include  clear  and  obvious  information  on how to obtain\n"
  "POV-Ray via our official distribution points.\n"
  "\n"
  "You  must  provide  all  POV-Ray  support  for all users who acquired\n"
  "POV-Ray  through  your  product.  The  POV-Team  is not obligated to\n"
  "provide you or your customers any technical support.\n"
  "\n"
  "You must  include a  credit page  or pages  in your  documentation for\n"
  "POV-Ray.\n"
  "\n"
  "If you modify any  portion of POV-Ray for  use with your hardware  or\n"
  "software, you  must follow  the custom  version rules  in addition  to\n"
  "these rules.\n"
  "\n"
  "You must include contact and support information for your product.\n"
  "\n"
  "You  must  include  a  full  user  package  as described in \"ONLINE OR\n"
  "REMOTE EXECUTION OF POV-RAY\"  above , including the  License Agreement\n"
  "which the user must agree to be bound by.\n"
  "\n"
  "POV-TEAM ENDORSEMENT PROHIBITION\n"
  "\n"
  "On  rare  occasions,  the  POV-Team  endorses  distributions in which\n"
  "POV-Team  members  are  compensated  participants  and  to  which the\n"
  "POV-Team has given approval. \n"
  "\n"
  "Without specific approval,  distributors (whether free  or commercial)\n"
  "must  not  claim  or  imply  in  any way that the POV-Team officially\n"
  "endorses  or  supports  the  distributor  or  the product (such as CD,\n"
  "book, or magazine) associated with the distribution. \n"
  "\n"
  "You may  not claim  or imply  that the  POV-Team derives  any benefit\n"
  "from your distribution. \n"
  "\n"
  "If you wish to emphasize that your distribution is legal, you may  use\n"
  "this language \"This distribution  of the official version  of POV-Ray\n"
  "is  permitted  under  the  terms  of  the  General License in the file\n"
  "POVLEGAL.DOC. The POV-Team  does not endorse  the distributor or  its\n"
  "products.   The   POV-Team   receives   no   compensation   for  this\n"
  "distribution.\" \n"
  "\n"
  "RETAIL VALUE OF THIS SOFTWARE\n"
  "\n"
  "Although  POV-Ray  is,  when  distributed  within  the  terms of this\n"
  "agreement,  free  of  charge,  the  retail  value  (or  price) of this\n"
  "program is determined as US$30.00  per copy distributed or copied.  If\n"
  "the  Software  is  distributed  or  copied  without  authorization the\n"
  "person(s)  or  entity(ies)  responsible  or  involved are each legally\n"
  "liable to the maximum extent permitted  by law for the full amount  of\n"
  "this  debt  to   the  copyright  holder,   or  any  other   person  or\n"
  "organization delegated by the  copyright holder for the  collection of\n"
  "this debt. \n"
  "\n"
  "However,  the  above  paragraph  in  no  way constitutes permission to\n"
  "distribute this Software  outside of the  terms of this  agreement. In\n"
  "particular, the conditions and  debt mentioned above (whether  paid or\n"
  "unpaid) do  not allow  you to  avoid statutory  damages or other legal\n"
  "penalties and does not constitute  any agreement that would allow  you\n"
  "to avoid such other legal  remedies as are available to  the copyright\n"
  "holder. \n"
  "\n"
  "Put simply, POV-Ray is only free if you comply with our  distribution\n"
  "conditions; it  is not  free otherwise.  The copyright  holder of this\n"
  "Software  chooses  to  give  it  away  free under these and only these\n"
  "conditions.  If  you  distribute  this  Software  in violation of this\n"
  "license, what you are  doing is no different  than if you took  a copy\n"
  "of  a  commercial  software  product  and  distributed  it without the\n"
  "permission of the copyright holder of that product. \n"
  "\n"
  "For  the  purpose  of  copyright  regulations and/or statutory damages\n"
  "provisions, the retail value of this Software is US$30.00 per copy. \n"
  "\n"
  "USE OF THE POV-RAY SCENE LANGUAGE\n"
  "\n"
  "The team permits  and encourages the  creation of programs,  including\n"
  "commercial packages, which  import, export or  translate files in  the\n"
  "POV-Ray Scene  Description Language.  Subject to  the requirement  in\n"
  "the following paragraph, there are  no restrictions on the use  of the\n"
  "language itself (this does not include the source code that we use  to\n"
  "implement the language). \n"
  "\n"
  "The POV-Team reserves the right to  add or remove or change any  part\n"
  "of  the  language.  Prior  to  using  the POV-Ray scene language, you\n"
  "agree that you will not hold the POV-Team, or anyone associated  with\n"
  "it, or the contributor or author  or initiator of any such change,  in\n"
  "any  way  responsible  for  whatever  happens  to you or your product,\n"
  "program, or whatever use  you put the scene  language to, as a  direct\n"
  "or indirect  result of  any such  change or  changes. This  explicitly\n"
  "includes,  but  is  not  limited  to,  any  lost  compatibility,  lost\n"
  "profits, bugs,  extra development  or maintenance,  public or  private\n"
  "embarrassment or public relations  problems.  Your attention  is drawn\n"
  "to the  \"NO LIABILITY  AND INDEMNITY  \" provisions  above to which you\n"
  "agree to be bound.\n"
  "\n"
  "TRADEMARKS\n"
  "\n"
  "\"POV-Ray\", \"Persistence  of Vision\",  \"POV-Team\" and  \"POV-Help\" are\n"
  "trademarks of the POV-Team.  Any other trademarks referred  to herein\n"
  "are the  property of  their respective  holders. You  undertake not to\n"
  "use, apply  for, or  register anywhere  in the  world, any word, name,\n"
  "trade mark or device  which is substantially identical  or deceptively\n"
  "or confusingly similar to any of the POV- Team's trade marks.\n"
  "\n"
  "REVOCATION OF LICENSE\n"
  "\n"
  "VIOLATION OF THIS  LICENSE IS A  VIOLATION OF COPYRIGHT  LAWS. IT WILL\n"
  "RESULT IN REVOCATION  OF ALL PRIVILEGES  GRANTED BY IT  AND MAY RESULT\n"
  "IN CIVIL OR CRIMINAL LIABILITY . \n"
  "\n"
  "Violators who are prohibited from  distribution may from time to  time\n"
  "be identified in this document. \n"
  "\n"
  "In  this  regard,  \"PC  Format\",  a  magazine published at the time by\n"
  "Future Publishing, Ltd. in the United Kingdom, distributed  incomplete\n"
  "versions of  POV-Ray 1.0  in violation  of the  license which  was in\n"
  "effect at the  time. They later  attempted to distribute  POV-Ray 2.2\n"
  "without prior permission of the POV-Team in violation of the  license\n"
  "which was in effect  at the time. After  the POV-Team was made  aware\n"
  "of their intent,  they were contacted  and were granted  permission in\n"
  "return for  certain promises  they made.  They subsequently  failed to\n"
  "honor these promises. \n"
  "\n"
  "There is  evidence that  other Future  Publishing companies  have also\n"
  "violated our terms. PC  Format's actions, particularly in  relation to\n"
  "the incomplete  v1.0 distribution  (which simply  didn't work properly\n"
  "due to  files that  had been  deleted to  fit on  the magazine's cover\n"
  "floppy  disk  -  causing  many  users  to  blame us for the faults and\n"
  "complain  to  us  in  email)  caused  us  un-needed stress and support\n"
  "headaches. \n"
  "\n"
  "Therefore \"PC Format\",  and any other  magazine, book, CD-ROM,  or any\n"
  "other type of  publication owned in  whole or part  by, or related  in\n"
  "any other way, to Future  Publishing is expressly prohibited from  any\n"
  "distribution of POV-Ray software. \n"
  "\n"
  "MISCELLANEOUS\n"
  "\n"
  "This  Agreement  constitutes  the  complete  agreement concerning this\n"
  "license.  Any  changes to this  agreement must be  in writing and  may\n"
  "take the  form of  notifications by  the POV-Team  to you, or through\n"
  "posting notifications on our website. The use of this Software by  any\n"
  "person is expressly made conditional on their acceptance of the  terms\n"
  "set forth herein. If  any provision of this  Agreement is found to  be\n"
  "invalid or unenforceable, the  invalidity or unenforceability of  such\n"
  "provision shall not affect the other provisions of this agreement  and\n"
  "all provisions  not affected  by such  invalidity or  unenforceability\n"
  "shall  remain  in  full  force  and  effect.   You agree to attempt to\n"
  "substitute  for  invalid  or   unenforceable  provision  a  valid   or\n"
  "enforceable provision which achieves to the greatest extent  possible,\n"
  "the  objectives  and  intention   of  the  invalid  or   unenforceable\n"
  "provision. The validity and  interpretation of this agreement  will be\n"
  "governed by  the laws  of Australia  in the  state of Victoria (except\n"
  "for conflict of law provisions).\n"
  "\n"
  "CONTACT INFORMATION\n"
  "\n"
  "License inquiries  can be  made via  email; please  check the POV-Ray\n"
  "website    and    the    online    copy    of    this    document   at\n"
  "http://www.povray.org/povlegal.html for the  current email address  of\n"
  "the team leader. (Unfortunately we  cannot include it here as  we have\n"
  "to change it  from time to  time due to  spam email being  sent to the\n"
  "address). \n"
  "\n"
  "The following  postal address  is only  for official  license business\n"
  "and only if email is impossible. \n"
  "\n"
  "We do not provide technical support.  We will not mail you disks  with\n"
  "updated versions. Please do not send money. If you want to know how to\n"
  "support us, please see http://www.povray.org/supporting-povray.html.\n"
  "\n"
  "  POV-Team\n"
  "  C/O Hallam Oaks P/L\n"
  "  PO Box 407\n"
  "  Williamstown,\n"
  "  Victoria 3016\n"
  "  Australia\n"
  "\n"
} ;

